# frozen_string_literal: true

require 'id_randomizer/version'
require 'id_randomizer/postgresql'

module IdRandomizer
  # Randomize ids/start sequences from all tables found in a given database
  # except the blacklisted ones.
  def self.randomize_ids(except: [])
    case ActiveRecord::Base.connection
    when ActiveRecord::ConnectionAdapters::PostgreSQLAdapter
      PostgreSQL.randomize_ids(except)
    else
      raise 'Database adapter not supported.'
    end
  end
end
