# frozen_string_literal: true

module IdRandomizer
  module PostgreSQL
    def self.randomize_ids(except)
      blacklist = %w(schema_migrations ar_internal_metadata)
      blacklist += except.is_a?(Array) ? except : [except]
      models = ActiveRecord::Base.descendants.reject do |model|
        model.table_name.nil? || model.sequence_name.nil? || blacklist.include?(model.table_name)
      end
      models.each do |model|
        val = rand(100..1024)
        model.connection.execute("SELECT setval('#{model.sequence_name}', #{val});")
      end
    end
  end
end
